package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.core.CrudDao;
import com.ruoyi.interfaces.core.page.PageParam;
import com.ruoyi.interfaces.domain.PtServiceComment;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PtServiceCommentDao extends CrudDao<PtServiceComment, PageParam<PtServiceComment>> {

    int delete(@Param("id") String id);

    PtServiceComment get(@Param("id") String id);

    List<PtServiceComment> list(PtServiceComment ptServiceComment);

    List<PtServiceComment> threeListByPid(@Param("pid") String pid);
}
